Archive API
Everything dealing with Archives.
Get archives that don't have any tags recorded. This follows the same rules as the Batch Tagging filter and will include archives that have parody:, date_added:, series: or artist: tags.
Array of archive IDs
Array of archive IDs
Upload an Archive to the server. If a SHA1 checksum of the Archive is included, the server will perform an optional in-transit, file integrity validation, and reject the upload if the server-side checksum does not match.
Use Authorization: Bearer <base64(api_key)>
Archive file to upload
SHA1 checksum of the archive for in-transit validation.
^[a-fA-F0-9]{40}$Category ID you'd want the archive to be added to.
Set of tags you want to insert in the database alongside the archive.
Title of the Archive.
Summary of the Archive.
Archive uploaded successfully
Bad request
Duplicate archive
Unsupported file
Checksum mismatch
Unprocessable Entity
Locked resource response
Internal Server Error
Delete both the archive metadata and the file stored on the server. π Please ask your user for confirmation before invoking this endpoint.
Use Authorization: Bearer <base64(api_key)>
ID of the Archive to process.
Archive deleted response
No archive ID response
Locked resource response
Update tags and title for the given Archive. Data supplied to the server through this method will overwrite the previous data.
Use Authorization: Bearer <base64(api_key)>
ID of the Archive to process.
New Title of the Archive.
New Tags of the Archive.
New Summary of the Archive.
Archive metadata updated
No archive ID response
Locked resource response
Get a Thumbnail image for a given Archive. This endpoint will return a placeholder image if it doesn't already exist. If you want to queue generation of the thumbnail in the background, you can use the no_fallback query parameter. This will give you a background job ID instead of the placeholder.
ID of the archive to process
Disables the placeholder image, queues the thumbnail for extraction and returns a JSON with code 202. This parameter does nothing if the image already exists. (You will get the image with code 200 no matter what)
Specify which page you want to get a thumbnail for. Defaults to the cover, aka page 1.
If the thumbnail was already extracted, you get it directly.
The thumbnail is queued for extraction. Use /api/minion/:jobid to track when your thumbnail is ready.
No archive ID response
Update the cover thumbnail for the given Archive. You can specify a page number to use as the thumbnail, or you can use the default thumbnail.
Use Authorization: Bearer <base64(api_key)>
ID of the Archive to process.
Page you want to make the thumbnail out of. Defaults to 1.
Archive thumbnail updated
No archive ID response
Get a list of URLs pointing to the images contained in an archive. If necessary, this endpoint also launches a background Minion job to extract the archive so it is ready for reading.
ID of the Archive to process.
Force a full background re-extraction of the Archive. Existing cached files might still be used in subsequent /api/archives/:id/page calls until the Archive is fully re-extracted.
You get page URLs, and the ID of the background extract job.
No archive ID response
Create thumbnails for every page of a given Archive. This endpoint will queue generation of the thumbnails in the background.
If all thumbnails are detected as already existing, the call will return HTTP code 200. This endpoint can be called multiple times -- If a thumbnailing job is already in progress for the given ID, it'll just give you the ID for that ongoing job.
ID of the Archive to process.
Whether to force regeneration of all thumbnails even if they already exist.
If thumbnails are already extracted and force=0
The thumbnails are queued for extraction. You can use /api/minion/:jobid to track progress, by looking at notes->progress and notes->pages.
No archive ID response
Get an archive page. This call is mainly used alongside /api/archives/files.
ID of the Archive to download.
Path to the image.
Archive page
No archive ID response
Tell the server which page of this Archive you're currently showing/reading, so that it updates its internal reading progression accordingly. This endpoint will also update the date this Archive was last read, using the current server timestamp.
You should call this endpoint only when you're sure the user is currently reading the page you present. Don't use it when preloading images off the server.
Whether to make reading progression regressible or not is up to the client. (The web client will reduce progression if the user starts reading previous pages) Consider however removing the "New!" flag from an archive when you start updating its progress - The web client won't display any reading progression if the new flag is still set.
β If the server is configured to use clientside progress tracking, this API call will return an error!
Make sure to check using /api/info whether the server tracks reading progression or not before calling this endpoint.
ID of the Archive to process.
Current page to update the reading progress to.
Must be a positive integer, and inferior or equal to the total page number of the archive.
Success response
Generic error response
Locked resource response
Clears the "New!" flag on an archive.
ID of the Archive to process.
Successful response
No archive ID response
Locked resource response
Last updated